/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.sensor;

import java.io.File;
import nl.cloudfarming.client.model.SensorData;

/**
 *
 * @author Timon Veenstra
 */
public abstract class SensorProcessor<D extends SensorData> {


    private final File processFile;

    public SensorProcessor(File processFile) {
        this.processFile = processFile;
    }

    protected final File getProcessFile() {
        return processFile;
    }

    /**
     * process a sensor data file
     *
     * @param sensorFile
     */
    public abstract void process();

 

    /**
     * get the ProgressContributor
     * 
     * @return
     */
//    public abstract ProgressContributor getProgressContributor();
}
